@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap');

/************************************************************************************/
/* BIG HIGH-LEVEL STUFF *************************************************************/
/************************************************************************************/

* {
  box-sizing: border-box;
}

html, body {
    /*min-height: 100vh; /* Ensure that the body will always cover the full height of the viewport. */
}

html {
    display: flex;
    flex-direction: column;
    font-size: 16px;
    scroll-behavior: smooth;
}

body {
    display: grid;
    grid-template-rows: auto 1fr auto;
    min-height: 100vh; /* Ensures the gradient covers the full height of the viewport */
    font-family: 'figtree', 'Calibri', system-ui;
    line-height: 1.6;
    
    /*background: radial-gradient(circle at top center, rgba(204, 204, 204, 1), rgba(127, 127, 127, 1) 80%);
    background-size: cover;
    background-repeat: no-repeat;*/
    
    background-image: url('/unreal/images/runt-bg.svg');
    background-color: rgba(204, 204, 204, 1); /* Fallback color */
    background-repeat: repeat;
    background-size: 800px 800px; /* Adjust to scale the texture */
    background-position: center;
    
    margin: 0;
}

.body-content {
    padding: 10px;
    margin: 10px;
}

header { grid-row: 1; }
.content-wrapper { grid-row: 2; }
footer { grid-row: 3; }

header, footer {
    width: 100%;
    color: #ccc;
    padding: 10px 20px;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: linear-gradient(to bottom, rgba(79, 79, 79, 1), rgba(15, 15, 15, 1));
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.3);
    z-index: 1000;
    transition: height 0.3s ease;
}

footer {
    text-align: center;
    color: rgb(127, 127, 127);
    background-color: rgb(15, 15, 15);
}

/************************************************************************************/
/* GLOBAL -- OVERRIDABLE*************************************************************/
/************************************************************************************/

h1 {
	line-height: 1.1;
	padding-bottom: 8px;
}

p {
    line-height: 1.3;
    margin-bottom: 10px;
}

/************************************************************************************/
/* HEADER ***************************************************************************/
/************************************************************************************/

.logo-container {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    color: inherit;
    text-decoration: none; /* Remove underline */
    transition: color 0.3s ease; /* Smooth transition */
}

.logo-container:hover {
    color: white; /* Optional: Change text color or style on hover */
}

.logo {
    display: block; /* Ensure the anchor behaves like a block element */
    font-size: 1.5em;
    font-weight: 600;
    text-align: left;
    white-space: nowrap; /* Stop my name from word-wrapping, esp. on my old Samsung, b/c it makes menu bar too tall */
}

.subtitle {
    display: block; /* Ensure the anchor behaves like a block element */
    font-size: 1.1em;
    /*margin: auto 0;*/
}

/*****************************************************************************/
/* MENU **********************************************************************/
/*****************************************************************************/

/* Menu Button Styling */
.menu-button {
    /*position: absolute;*/
    left: 16px; /* Sticks the menu button to the left */
    top: 50%; /* Vertically centers the button */
    /*transform: translateY(-50%); /* Adjusts the button to be perfectly centered vertically */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 40px;
    height: 30px;
    cursor: pointer;
    padding: 20px 0;
    margin: auto auto auto 0;
    box-sizing: revert;
}

/* The lines of the hamburger menu */
.menu-button .bar {
    width: 100%;
    height: 2px;
    background-color: #ccc;
    transition: background-color 0.3s ease; /* Smooth sliding effect */
}

.menu-button:hover .bar {
    background-color: #fff; /* Change to your desired hover color */
}

.menu-button-inv {
    top: 40px;
    margin: 10px 20px;
    box-sizing: revert;
}

.menu-button-inv .bar-inv {
    width: 100%;
    height: 2px;
    background-color: #ccc;
    transition: background-color 0.3s ease; /* Smooth sliding effect */
}

.menu-button-inv:hover .bar-inv {
    background-color: white;
}

.side-menu {
    position: fixed;
    top: 0;
    left: -250px; /* Start hidden on the left */
    width: 250px;
    height: 100%;
    background-color: rgb(32, 32, 32);
    overflow: auto;
    transition: left 0.3s ease; /* Smooth sliding effect */
    z-index: 1001;
}

.side-menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.side-menu ul li {
    text-align: center;
    display: block; /* Allows scaling without affecting layout */
    padding: 0;
}

.side-menu ul li a:hover {
    color: white;
}

.side-menu ul li a {
    padding: 15px 0;
    color: #ccc;
    transition: color 0.3s ease; /* Smooth transition */
    text-decoration: none;
    font-size: 1.2rem;
    display: block;
    width: 100%; /* Ensures it covers the full width */
    height: 100%; /* Ensures it covers the full height */
}

.side-menu.open {
    left: 0; /* Slide in from the left */
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.5); /* Add shadow when menu is open */
}

.menu-alt-section {
    background-color: rgb(16, 16, 16);
}

.side-menu .menu-alt-section li a {
    color: #ccc;
}

.wide-menu {
    display: none;
    justify-content: start;
    align-items: center;
    max-width: 65vw;
    width: 100%;
    padding: 0 2.5rem;
}

.wide-menu-item {
    font-size: 1.2rem;
    font-weight: 300;
    text-decoration: none;
    display: block;
    margin-right: 30px; /* Adds spacing */
}

.wide-menu-item:last-child {
    margin-right: 0; /* Avoid extra spacing on the last item */
}

a.wide-menu-item {
    color: inherit;
    transition: color 0.3s ease; /* Smooth transition */
}

a.wide-menu-item:hover {
    color: white;
}

.at-button {
    display: none;
    font-size: 2rem;
    padding: 10px 20px;
    cursor: pointer;
    margin: auto 0 auto auto;
}

.at-button a {
    transition: color 0.3s ease;
    text-align: center;
    color: #ccc;
    text-decoration: none;
}

.at-button a:hover {
    color: white;
}

a.at-button {
    /*color: white;*/
}

.selected {
    font-size: 1.5em;
    font-weight: 600;
    font-style: oblique;
}

.at-selected {
    font-size: 2rem;
}

/************************************************************************************/
/* MAIN CONTENT *********************************************************************/
/************************************************************************************/

.content-wrapper {
    margin-top: 0; /* Start without a top margin */
    padding-top: 0; /* Start without padding */
    transition: padding-top 0.3s ease;
}

figure {
    max-width: 100%;
    margin: 30px auto; /* Center the figure if desired */
    text-align: center;
}

figure a img {
    width: min(100%, 700px);
    height: auto;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3); /* Soft shadow */
}

figcaption {
    font-size: 90%;
    font-style: italic;
}

.figure-container {
    display: flex;
    justify-content: center;
    gap: 20px;
    max-width: 100%;
    margin: 0 auto;
}

.figure-container figure {
    max-width: 100%;
    flex: 1;
	margin: 15px;
    box-sizing: border-box;
}

.figure-row-2 {
    max-width: 350px;
}

.figure-row-3 {
    max-width: 250px;
}

.figure-container img {
    width: 100%;
    height: auto;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3); /* Soft shadow */
}

/************************************************************************************/
/* GLOBAL -- DO NOT OVERRIDE ********************************************************/
/************************************************************************************/

.bolded {
    font-weight: 700;
}

.extra-bolded {
    font-weight: 900;
}

.italics {
    font-style: oblique;
}

.nowrap {
    white-space: nowrap;
}

.white-text {
    color: white;
}

/************************************************************************************/
/* BREAKPOINTS **********************************************************************/
/************************************************************************************/

@media (min-width: 550px) { /* Wide enough to start using wide menu */

    .logo-container {
        align-items: flex-start;
    }
    
    .menu-button {
        display: none;
    }

    .wide-menu {
        display: flex;
        flex-direction: row; /* Align items in a row */
        flex-wrap: wrap; /* Allow wrapping to the next line */
    }
    
    .at-button {
        display: block;
    }
    
    .body-content {
        padding: 20px;
        margin: 20px;
    }
}

@media (min-width: 1000px) { /* Wide enough to start spreading out the wide menu */

    .wide-menu {
        justify-content: space-evenly; /* Menu items spread out in one single row */
    }
}


@media (min-height: 99999px) { /* FOR DEBUGGING */
/*@media (min-height: 480px) { /* Show image when viewport height is small */
	.button-grid {
		grid-template-columns: 1fr; /* Stack buttons vertically on smaller screens */
		max-width: 90%;
	}
	
    .grid-button img {
        display: none; /* Hide the image */
    }

    .grid-button {
        padding: 5px; /* Adjust padding if needed after removing the image */
    }

    .grid-button .label {
        font-size: 8vw; /* Adjust the font size if necessary */
    }
}

/* Single column on mobile */
@media (min-height: 99999px) { /* FOR DEBUGGING */
/*@media (min-height: 600px) or (min-width: 1024px) {*/
	.button-grid {
        grid-template-columns: 1fr; /* Stack buttons vertically on smaller screens */
	}
}

/* Center images on smaller screens */
@media (min-height: 99999px) { /* FOR DEBUGGING */
/*@media (min-width: 660px) {*/
    .piece-content {
        padding: 30px;
    }
    
	.piece-image {
		float:none;
		width: 100%;
	}

    .video-background {
        background-color: transparent;
    }
    
    .video-container {
		max-width: 100%; /* Fit viewport width (piece content container) */
	}
    
    .writing-script {
		padding: 20px;
	}
    
    .figure-container {
        flex-direction: column;
        gap: 10px;
    }

    .figure-container figure {
        max-width: 61.8%;
		margin: 15px auto;
    }
    
    .contact-image {
        max-width: 33%;
    }
}
	
@media (min-height: 99999px) { /* FOR DEBUGGING */
/*@media (min-width: 768px) {*/
    .button-grid {
        grid-template-columns: 1fr; /* Stack buttons vertically */
        gap: 30px;
    }

    .grid-button {
        padding: 5px; /* Reduce padding for smaller screens */
    }

    .grid-button .label {
        font-size: 8vw; /* Adjust font size for smaller screens */
    }
}

@media (min-height: 99999px) { /* FOR DEBUGGING */
/*@media (max-width: 1023px) {*/
    .button-grid {
        grid-template-columns: repeat(3, 1fr); /* 3 columns on large screens */
        margin-top: 40px; /* Default margin for larger screens */
        margin-bottom: 80px;
    }
}

/* Responsive design for smaller screens */
@media (min-height: 99999px) { /* FOR DEBUGGING */
/*@media (min-width: 1024px) {*/
    .grid-button .label {
        font-size: 300%; /* Smaller font on medium screens */
    }
	
	.button-grid {
        grid-template-columns: 1fr; /* Stack buttons vertically on smaller screens */
        gap: 30px;
	}
}
